Send a drawdown request
What you will learn
✅ Send a drawdown request
An outbound wire drawdown request, also called a reverse wire, asks a someone to send funds back to you as the requester.
If you are new to wires we recommend you read the wires overview before starting this tutorial.
The tutorial assumes you have a knowledge of APIs and how they work. For more information on sending API calls, see the API basics.
The tutorial uses these API endpoints:
API | Description |
|---|---|
Requests an inbound wire transfer |
Before you begin
Make sure you have:
- Account number of the account requesting the payment
- Receiver routing number
- Registered the following webhook events:
Webhook | Description |
|---|---|
Wire.Payment.Sent | Outbound wire has been transmitted to the Federal Reserve and has been successfully acknowledged. IMAD number is now available. |
Wire.Payment.Received | Inbound wire payment received successfully. |
Wire.Payment.Rejected | Outbound wire could not be processed due to compliance reasons or was rejected by the Federal Reserve. |
For this tutorial you'll need to understand these terms. These definitions are specific to this tutorial. The terms might be used slightly differently for a drawdown response.
Term | Description |
|---|---|
Originator | The entity requesting the payment |
Beneficiary | The entity receiving the payment |
Originating financial institution | The financial institution wherethe payment request comes from |
Intermediary financial institution | A financial institution that a payment is routed through (required for international wires, otherwise not always needed) |
Beneficiary financial institution | The financial institution that receives the payment request |
Drawdown Credit Account NumberSending financial institution | The financial institution that sends the payment request 9 digit routing/ABA number of the originating financial institution |
Receiveringfinancial institutionRoutingNumber | The routing number of the financial institution that receives the payment request |
Drawdown request | A request for someone to send a payment by wire |
Request a wire payment
When you initiate an outbound wire drawdown request (DRC 1031), the request is sent to the specified bank where the account responsible for the payout is held. The bank's response includes the payment status and other relevant information about the request. Webhook events are triggered when specific payment statuses are set.
In this tutorial, the PMR Corporation requests a $500,000 wire payment from Lindberg Incorporated.
If you want to enter originator values yourself (instead of the system populating those attributes based on your account number), ensure that Allow Custom Originator is enabled on the product or account .
Call POST /v1/payments/corporate-drawdown-requests.
API call
{
"accountNumber": "2714035231",
"originator":
{
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"receiverRoutingNumber": "026009593",
"drawdownCreditAccountNumber": "021214891",
"beneficiaryFi":
{
"idCode": "F",
"identifier": "021214891",
"name": "Cross River Bank",
"address1": "400 KELBY STREET",
"address2": "Fort Lee NJ 07024",
"address3": "US"
},
"drawdownDebitAccount":
{
"idCode": "D",
"identifier": "777555333",
"name": "Lindberg Incorporated",
"address1": "5 Stop St",
"address2": "New York NY 52555",
"address3": "US"
},
"beneficiary":
{
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"debitDrawdownAdviceCode": "WRE",
"debitDrawdownInformation1": "string1",
"debitDrawdownInformation2": "string2",
"debitDrawdownInformation3": "string3",
"debitDrawdownInformation4": "string4",
"debitDrawdownInformation5": "string5",
"receiverFiInformation1": "Astring",
"receiverFiInformation2": "Bstring",
"receiverFiInformation3": "Cstring",
"receiverFiInformation4": "Dstring",
"receiverFiInformation5": "Estring",
"fiToFiInformation1": "Hstring",
"fiToFiInformation2": "Istring",
"fiToFiInformation3": "Jstring",
"fiToFiInformation4": "Kstring",
"fiToFiInformation5": "Lstring",
"fiToFiInformation6": "Mstring",
"amount": 50000000,
"purpose": "drawdown testing",
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e"
}We recommend that you save the request-id, you can see in the response header to use if you need to contact the Cross River Support Team about that specific call.
A successful API call returns a JSON response with the details of the drawdown request.
{
"id": "e201c363-1039-45cc-99c3-af8500eebb92",
"accountNumber": "2714035231",
"referenceId": "W230093GG8S",
"direction": "Outbound",
"paymentType": "Drawdown",
"source": "OpsPortal",
"status": "Created",
"posting": "Pending",
"partnerAuthorization": "NotRequired",
"partnerAuthorization2": "NotRequired",
"amount": 50000000,
"currency": "usd",
"purpose": "ENTERED BY #6384FF582599E9D9AAADC7BE# - sample drawdown call",
"businessFunctionCode": "DRC",
"typeCode": "1031",
"senderRoutingNumber": "021214891",
"senderName": "CROSS RIVER BANK",
"senderReference": "W230093GG8S",
"receiverRoutingNumber": "026009593",
"receiverName": "BK AMER NYC ",
"originatingFi": {
"idCode": "F",
"identifier": "021214891",
"name": "CROSS RIVER BANK",
"address1": "400 KELBY STREET",
"address2": "FORT LEE NJ 07024",
"address3": "US"
},
"originator": {
"idCode": "D",
"identifier": "2662824164",
"name": "PMR CORPORATION",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryFi": {
"idCode": "F",
"identifier": "021214891",
"name": "CROSS RIVER BANK",
"address1": "400 KELBY STREET",
"address2": "FORT LEE NJ 07024",
"address3": "US"
},
"beneficiary": {
"idCode": "D",
"identifier": "2662824164",
"name": "PMR Corporation",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"beneficiaryReference": "testref",
"wasReversed": false,
"isInternational": false,
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e",
"createdAt": "2023-01-09T09:29:11.9495462-05:00",
"effectiveDate": "2023-01-09T00:00:00-05:00",
"originalPaymentId": "e201c363-1039-45cc-99c3-af8500eebb92",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"productId": "a68a0fa5-98fe-4cd5-b626-af5b0137e0cb",
"lastModifiedAt": "2023-01-09T09:29:11.9651496-05:00",
"postingCode": "OK"
}Successful posting of the payment triggers the wire.payment.received webhook event.